Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.style
Interface XSLTStaticContext

All Superinterfaces:
  StaticContext

All Known Implementing Classes:
  ExpressionContext, UseWhenStaticContext

    public interface XSLTStaticContext

extends StaticContext

Extends the standard XPath static context with information that is available for XPath expressions invoked from XSLT

Method Summary
`boolean` | `isElementAvailable(String qname)` Determine if an extension element is available

Methods inherited from interface net.sf.saxon.expr.StaticContext
`bindVariable, getBaseURI, getCollation, getConfiguration, getDecimalFormatManager, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getFunctionLibrary, getImportedSchemaNamespaces, getLineNumber, getLocationMap, getNamePool, getNamespaceResolver, getRequiredContextItemType, getSystemId, getURIForPrefix, getXPathLanguageLevel, isAllowedBuiltInType, isImportedSchema, isInBackwardsCompatibleMode, isSchemaAware, issueWarning, makeEarlyEvaluationContext`

Method Detail

### isElementAvailable

    boolean isElementAvailable(String qname)
                               throws XPathException

  Determine if an extension element is available

  Throws:
    `XPathException` - if the name is invalid or the prefix is not declared

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.